#include <bits/stdc++.h>
#define ll long long 
using namespace std;  
const int NMAX=5e5+7;   
int n; 
ll a[NMAX]; 

int main()
{
    ios_base::sync_with_stdio(false);
    cin>>n;
    for(int i=1;i<=n;i++) cin>>a[i]; 
    int res=0; 
    for(int i=1;i<=n;i++) if(a[i]&1) res++;
    cout<<res;
    return 0;
}